# std::move_iterator::operator*,->

From cppreference.com
< cpp‎ | iterator‎ | move iterator

| (1) |
reference operator* () const; |  | (until C++17)
constexpr reference operator* () const; |  | (since C++17)
| (2) |
pointer operator->() const; |  | (until C++17)
constexpr pointer operator->() const; |  | (since C++17)

Returns a rvalue-reference or pointer to the current element.

1) Equivalent to std::move(*current); | (until C++17)
1) Equivalent to static_cast<reference>(*current); | (since C++17)

2) Equivalent to current.

### Parameters

(none)

### Return value

Rvalue-reference or pointer to the current element.

### Example

| This section is incomplete Reason: no example

### See also

operator[] | accesses an element by index (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/iterator/move_iterator/operator*&oldid=83773"
Category:

- Todo no example